Package org.jboss.resteasy.plugins.providers.html

## Class View

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.html.View

- All Implemented Interfaces:
    `Renderable`

      public class View
      extends Object
      implements Renderable

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DEFAULT_MODEL_NAME` | If left unspecified, the default name of the model in the request attributes
    `protected Map<String,​Object>` | `model` |
    `protected String` | `path` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `View​(String path)` | Creates a view without a model.
    `View​(String path, Object model)` |
    `View​(String path, Object model, String modelName)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getModel()` |
    `Map<String,​Object>` | `getModelMap()` |
    `String` | `getModelName()` |
    `String` | `getPath()` |
    `void` | `render​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` | Sets up the model in the request attributes, creates a dispatcher, and forwards the request.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_MODEL_NAME

          public static final String DEFAULT_MODEL_NAME

      If left unspecified, the default name of the model in the request attributes
      See Also:
        Constant Field Values

    - #### path

          protected String path

    - #### model

          protected Map<String,​Object> model

  - ### Constructor Detail

    - #### View

          public View​(String path)

      Creates a view without a model.
      Parameters:
        `path` - will be dispatched to using the servlet container; it should have a leading /.

    - #### View

          public View​(String path,
                      Object model)

    - #### View

          public View​(String path,
                      Object model,
                      String modelName)

  - ### Method Detail

    - #### getPath

          public String getPath()

    - #### getModelName

          public String getModelName()

    - #### getModel

          public Object getModel()

    - #### getModelMap

          public Map<String,​Object> getModelMap()

    - #### render

          public void render​(javax.servlet.http.HttpServletRequest request,
                             javax.servlet.http.HttpServletResponse response)
                      throws IOException,
                             javax.servlet.ServletException,
                             javax.ws.rs.WebApplicationException

      Sets up the model in the request attributes, creates a dispatcher, and forwards the request.
      Specified by:
        `render` in interface `Renderable`
      Parameters:
        `request` - http request
        `response` - http response
      Throws:
        `IOException` - if I/O error occurred
        `javax.servlet.ServletException` - if servlet error occurred
        `javax.ws.rs.WebApplicationException` - if application error occurred